# 1.27.0[−][src]Function core::arch::x86::_mm_minpos_epu16

    pub unsafe fn _mm_minpos_epu16(a: __m128i) -> __m128i

This is supported on x86 and target feature `sse4.1` only.

Finds the minimum unsigned 16-bit element in the 128-bit __m128i vector, returning a vector containing its value in its first position, and its index in its second position; all other elements are set to zero.

This intrinsic corresponds to the VPHMINPOSUW / PHMINPOSUW instruction.

Arguments:

- `a` - A 128-bit vector of type `__m128i`.

Returns:

A 128-bit value where:

- bits `[15:0]` - contain the minimum value found in parameter `a`,
- bits `[18:16]` - contain the index of the minimum value
- remaining bits are set to `0`.

Intel's documentation

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)